using System.Drawing;
using System.Windows.Forms;

namespace HighWayIot.Winform.UserControlPages.SysConfigPages
{
    partial class UserConfigPage
    {
        /// <summary> 
        /// 必需的设计器变量。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// 清理所有正在使用的资源。
        /// </summary>
        /// <param name="disposing">如果应释放托管资源，为 true；否则为 false。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region 组件设计器生成的代码

        /// <summary> 
        /// 设计器支持所需的方法 - 不要修改
        /// 使用代码编辑器修改此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {
            this.UserInfoDataGridView = new System.Windows.Forms.DataGridView();
            this.Id = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.UserName = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.Password = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.UserRole = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.LastLoginTime = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.AddUser = new System.Windows.Forms.Button();
            this.UpdateUser = new System.Windows.Forms.Button();
            this.DeleteUser = new System.Windows.Forms.Button();
            this.ButtonPanel = new System.Windows.Forms.Panel();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.label4 = new System.Windows.Forms.Label();
            this.SelectUserLoginEndTime = new System.Windows.Forms.DateTimePicker();
            this.SelectUserLoginBeginTime = new System.Windows.Forms.DateTimePicker();
            this.IsCheckByLoginTime = new System.Windows.Forms.CheckBox();
            this.label3 = new System.Windows.Forms.Label();
            this.SelectUserRole = new System.Windows.Forms.ComboBox();
            this.label2 = new System.Windows.Forms.Label();
            this.SelectUserName = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.SelectUser = new System.Windows.Forms.Button();
            ((System.ComponentModel.ISupportInitialize)(this.UserInfoDataGridView)).BeginInit();
            this.ButtonPanel.SuspendLayout();
            this.groupBox1.SuspendLayout();
            this.SuspendLayout();
            // 
            // UserInfoDataGridView
            // 
            this.UserInfoDataGridView.AllowUserToAddRows = false;
            this.UserInfoDataGridView.AllowUserToDeleteRows = false;
            this.UserInfoDataGridView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
            | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.UserInfoDataGridView.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.UserInfoDataGridView.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.Id,
            this.UserName,
            this.Password,
            this.UserRole,
            this.LastLoginTime});
            this.UserInfoDataGridView.Location = new System.Drawing.Point(0, 65);
            this.UserInfoDataGridView.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.UserInfoDataGridView.Name = "UserInfoDataGridView";
            this.UserInfoDataGridView.ReadOnly = true;
            this.UserInfoDataGridView.RowHeadersVisible = false;
            this.UserInfoDataGridView.RowTemplate.Height = 25;
            this.UserInfoDataGridView.Size = new System.Drawing.Size(1188, 869);
            this.UserInfoDataGridView.TabIndex = 0;
            // 
            // Id
            // 
            this.Id.DataPropertyName = "Id";
            this.Id.HeaderText = "ID";
            this.Id.Name = "Id";
            this.Id.ReadOnly = true;
            this.Id.Width = 50;
            // 
            // UserName
            // 
            this.UserName.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.UserName.DataPropertyName = "UserName";
            this.UserName.HeaderText = "用户名";
            this.UserName.Name = "UserName";
            this.UserName.ReadOnly = true;
            // 
            // Password
            // 
            this.Password.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.Password.DataPropertyName = "Password";
            this.Password.HeaderText = "用户密码";
            this.Password.Name = "Password";
            this.Password.ReadOnly = true;
            // 
            // UserRole
            // 
            this.UserRole.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.UserRole.DataPropertyName = "UserRole";
            this.UserRole.HeaderText = "用户角色";
            this.UserRole.Name = "UserRole";
            this.UserRole.ReadOnly = true;
            // 
            // LastLoginTime
            // 
            this.LastLoginTime.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.LastLoginTime.DataPropertyName = "LastLoginTime";
            this.LastLoginTime.HeaderText = "上次登录时间";
            this.LastLoginTime.Name = "LastLoginTime";
            this.LastLoginTime.ReadOnly = true;
            // 
            // AddUser
            // 
            this.AddUser.Location = new System.Drawing.Point(11, 11);
            this.AddUser.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.AddUser.Name = "AddUser";
            this.AddUser.Size = new System.Drawing.Size(103, 39);
            this.AddUser.TabIndex = 1;
            this.AddUser.Text = "添加用户";
            this.AddUser.UseVisualStyleBackColor = true;
            this.AddUser.Click += new System.EventHandler(this.AddUser_Click);
            // 
            // UpdateUser
            // 
            this.UpdateUser.Location = new System.Drawing.Point(131, 11);
            this.UpdateUser.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.UpdateUser.Name = "UpdateUser";
            this.UpdateUser.Size = new System.Drawing.Size(103, 39);
            this.UpdateUser.TabIndex = 2;
            this.UpdateUser.Text = "修改用户信息";
            this.UpdateUser.UseVisualStyleBackColor = true;
            this.UpdateUser.Click += new System.EventHandler(this.UpdateUser_Click);
            // 
            // DeleteUser
            // 
            this.DeleteUser.Location = new System.Drawing.Point(250, 11);
            this.DeleteUser.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.DeleteUser.Name = "DeleteUser";
            this.DeleteUser.Size = new System.Drawing.Size(103, 39);
            this.DeleteUser.TabIndex = 3;
            this.DeleteUser.Text = "删除用户信息";
            this.DeleteUser.UseVisualStyleBackColor = true;
            this.DeleteUser.Click += new System.EventHandler(this.DeleteUser_Click);
            // 
            // ButtonPanel
            // 
            this.ButtonPanel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.ButtonPanel.Controls.Add(this.groupBox1);
            this.ButtonPanel.Controls.Add(this.DeleteUser);
            this.ButtonPanel.Controls.Add(this.UpdateUser);
            this.ButtonPanel.Controls.Add(this.AddUser);
            this.ButtonPanel.Location = new System.Drawing.Point(0, 0);
            this.ButtonPanel.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.ButtonPanel.Name = "ButtonPanel";
            this.ButtonPanel.Size = new System.Drawing.Size(1188, 61);
            this.ButtonPanel.TabIndex = 4;
            // 
            // groupBox1
            // 
            this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this.groupBox1.Controls.Add(this.label4);
            this.groupBox1.Controls.Add(this.SelectUserLoginEndTime);
            this.groupBox1.Controls.Add(this.SelectUserLoginBeginTime);
            this.groupBox1.Controls.Add(this.IsCheckByLoginTime);
            this.groupBox1.Controls.Add(this.label3);
            this.groupBox1.Controls.Add(this.SelectUserRole);
            this.groupBox1.Controls.Add(this.label2);
            this.groupBox1.Controls.Add(this.SelectUserName);
            this.groupBox1.Controls.Add(this.label1);
            this.groupBox1.Controls.Add(this.SelectUser);
            this.groupBox1.Location = new System.Drawing.Point(359, 3);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(826, 55);
            this.groupBox1.TabIndex = 4;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "条件查询，某项为空则不判断该项";
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(484, 31);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(17, 12);
            this.label4.TabIndex = 13;
            this.label4.Text = "到";
            // 
            // SelectUserLoginEndTime
            // 
            this.SelectUserLoginEndTime.CustomFormat = "yyyy年MM月dd日 HH:mm:ss";
            this.SelectUserLoginEndTime.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
            this.SelectUserLoginEndTime.Location = new System.Drawing.Point(507, 28);
            this.SelectUserLoginEndTime.Name = "SelectUserLoginEndTime";
            this.SelectUserLoginEndTime.Size = new System.Drawing.Size(185, 21);
            this.SelectUserLoginEndTime.TabIndex = 12;
            // 
            // SelectUserLoginBeginTime
            // 
            this.SelectUserLoginBeginTime.CustomFormat = "yyyy年MM月dd日 HH:mm:ss";
            this.SelectUserLoginBeginTime.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
            this.SelectUserLoginBeginTime.Location = new System.Drawing.Point(293, 28);
            this.SelectUserLoginBeginTime.Name = "SelectUserLoginBeginTime";
            this.SelectUserLoginBeginTime.Size = new System.Drawing.Size(185, 21);
            this.SelectUserLoginBeginTime.TabIndex = 11;
            this.SelectUserLoginBeginTime.Value = new System.DateTime(2024, 11, 26, 13, 36, 9, 0);
            // 
            // IsCheckByLoginTime
            // 
            this.IsCheckByLoginTime.AutoSize = true;
            this.IsCheckByLoginTime.Location = new System.Drawing.Point(362, 10);
            this.IsCheckByLoginTime.Name = "IsCheckByLoginTime";
            this.IsCheckByLoginTime.Size = new System.Drawing.Size(120, 16);
            this.IsCheckByLoginTime.TabIndex = 10;
            this.IsCheckByLoginTime.Text = "是否根据时间判断";
            this.IsCheckByLoginTime.UseVisualStyleBackColor = true;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(291, 12);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(65, 12);
            this.label3.TabIndex = 9;
            this.label3.Text = "登陆时间：";
            // 
            // SelectUserRole
            // 
            this.SelectUserRole.FormattingEnabled = true;
            this.SelectUserRole.Location = new System.Drawing.Point(187, 28);
            this.SelectUserRole.Name = "SelectUserRole";
            this.SelectUserRole.Size = new System.Drawing.Size(100, 20);
            this.SelectUserRole.TabIndex = 8;
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(185, 12);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(41, 12);
            this.label2.TabIndex = 7;
            this.label2.Text = "角色：";
            // 
            // SelectUserName
            // 
            this.SelectUserName.Location = new System.Drawing.Point(81, 28);
            this.SelectUserName.Name = "SelectUserName";
            this.SelectUserName.Size = new System.Drawing.Size(100, 21);
            this.SelectUserName.TabIndex = 6;
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(79, 12);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(53, 12);
            this.label1.TabIndex = 5;
            this.label1.Text = "用户名：";
            // 
            // SelectUser
            // 
            this.SelectUser.Location = new System.Drawing.Point(6, 19);
            this.SelectUser.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.SelectUser.Name = "SelectUser";
            this.SelectUser.Size = new System.Drawing.Size(67, 28);
            this.SelectUser.TabIndex = 4;
            this.SelectUser.Text = "查询";
            this.SelectUser.UseVisualStyleBackColor = true;
            this.SelectUser.Click += new System.EventHandler(this.SelectUser_Click);
            // 
            // UserConfigPage
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 12F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.SystemColors.ControlLight;
            this.Controls.Add(this.ButtonPanel);
            this.Controls.Add(this.UserInfoDataGridView);
            this.Margin = new System.Windows.Forms.Padding(3, 2, 3, 2);
            this.Name = "UserConfigPage";
            this.Size = new System.Drawing.Size(1188, 934);
            ((System.ComponentModel.ISupportInitialize)(this.UserInfoDataGridView)).EndInit();
            this.ButtonPanel.ResumeLayout(false);
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            this.ResumeLayout(false);

        }

        #endregion

        private DataGridView UserInfoDataGridView;
        private Button AddUser;
        private Button UpdateUser;
        private Button DeleteUser;
        private Panel ButtonPanel;
        private GroupBox groupBox1;
        private CheckBox IsCheckByLoginTime;
        private Label label3;
        private ComboBox SelectUserRole;
        private Label label2;
        private TextBox SelectUserName;
        private Label label1;
        private Button SelectUser;
        private DateTimePicker SelectUserLoginBeginTime;
        private Label label4;
        private DateTimePicker SelectUserLoginEndTime;
        private DataGridViewTextBoxColumn Id;
        private DataGridViewTextBoxColumn UserName;
        private DataGridViewTextBoxColumn Password;
        private DataGridViewTextBoxColumn UserRole;
        private DataGridViewTextBoxColumn LastLoginTime;
    }
}
